"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = findAssetPaths;
var _parseSrcset = _interopRequireDefault(require("parse-srcset"));
var _stripQueryStringAndHash = _interopRequireDefault(require("./stripQueryStringAndHash"));
var _findCSSAssetPaths = _interopRequireDefault(require("./findCSSAssetPaths"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function isAbsoluteUrl(src) {
  return src.startsWith('http') || src.startsWith('//');
}
function findAssetPaths(doc = document) {
  const imgPaths = Array.from(doc.querySelectorAll('img[src]')).map(img => img.getAttribute('src'));
  doc.querySelectorAll('img[srcset], picture source[srcset]').forEach(el => {
    (0, _parseSrcset.default)(el.getAttribute('srcset')).forEach(parsed => {
      imgPaths.push(parsed.url);
    });
  });
  doc.querySelectorAll('[style]').forEach(el => {
    (0, _findCSSAssetPaths.default)({
      css: el.getAttribute('style')
    }).forEach(path => {
      imgPaths.push(path.resolvePath);
    });
  });
  return imgPaths.filter(url => !isAbsoluteUrl(url) && url.trim().length).map(_stripQueryStringAndHash.default);
}