"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = loadCSSFile;
var _fs = _interopRequireDefault(require("fs"));
var _nodeFetch = _interopRequireDefault(require("node-fetch"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
async function loadCSSFile(cssFile) {
  if (cssFile.startsWith('/')) {
    // local file
    return _fs.default.readFileSync(cssFile, 'utf-8');
  }
  const res = await (0, _nodeFetch.default)(cssFile);
  if (!res.ok) {
    throw new Error(`Unable to fetch css file: ${cssFile}`);
  }
  return res.text();
}